<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_8cca4dd34e20c5344bb2a30f2533c" . "4e5" => base64_decode("ZnVsbF9uY" . "W1l"), "user_" . "id" => base64_decode("dXNlcl9pZA=" . "="), "_28c85ce81fee6532980262893b6f" . "2425" => base64_decode("dXNlcm5" . "hbWU="), "_baec81a7" . "82bb3d538" . "149a92256" . "88246e" => base64_decode("ZXZlbnRfc291c" . "mNl"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8cca4dd34e20" . "c5344bb2a30f2" . "533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_28c85ce81fee6532980262893b6f2" . "425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_baec81a782bb3d538149a" . "9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}